import * as types from "../constants/ActionTypes";

const getPosts = payload => ({
	type: types.GET_POSTS,
	payload
});

const getPost = payload => ({
	type: types.GET_POST,
	payload
});

// export const getPostRequest = () => {
// 	return dispatch => {
// 		return fetch("https://jsonplaceholder.typicode.com/todos/1")
// 			.then(response => response.json())
// 			.then(json => dispatch(getPosts(json)));
// 	};
// };

export const getPostRequest = () => dispatch =>
	fetch("https://jsonplaceholder.typicode.com/posts")
		.then(response => response.json())
		.then(json => dispatch(getPosts(json)));
// .catch(err => dispatch(getPostsFail()))

export const getOnePostRequest = payload => dispatch =>
	fetch(`https://jsonplaceholder.typicode.com/posts/${payload}`)
		.then(response => response.json())
		.then(json => dispatch(getPost(json)));

// const getPost = payload => ({
// 	type: types.GET_POST,
// 	payload
// });
// const getPostSuc = payload => ({
// 	type: types.GET_POST_SUC,
// 	payload
// });
// const getPostFail = payload => ({
// 	type: types.GET_POST_FAIL,
// 	payload
// });
