import React, { Component } from "react";
import { Link } from "react-router-dom";

const links = [
	{
		id: 1,
		path: "/",
		title: "Home"
	},
	{
		id: 2,
		path: "/post",
		title: "Post"
	}
];

export default class Header extends Component {
	render() {
		return (
			<div>
				<ul>
					{links.map(el => (
						<li key={el.id}>
							<Link to={el.path}>{el.title}</Link>
						</li>
					))}
				</ul>
			</div>
		);
	}
}
