import React from "react";
import ReactDOM from "react-dom";
import { BrowserRouter } from "react-router-dom";
import { Provider } from "react-redux";
import "./index.css";
// import App from "./conteiners/App";
import Router from "./router";
import store from "./state";

ReactDOM.render(
	<BrowserRouter>
		<Provider store={store}>
			<Router />
		</Provider>
	</BrowserRouter>,
	document.getElementById("root")
);
