import React from "react";
import { Link } from "react-router-dom";

import "./style.css";

export default props => {
	return (
		<div className="post-box">
			<h3 className="post-name">
				<Link to={`post/${props.id}`}>{props.name}</Link>
			</h3>
			<p className="post-decs">{props.description}</p>
		</div>
	);
};
