import React, { Component } from "react";
import { connect } from "react-redux";
import { bindActionCreators } from "redux";
import { getOnePostRequest } from "../actions/post";

import PostComponent from "../components/post";

class Post extends Component {
	componentDidMount() {
		const { match, getOnePostRequest } = this.props;
		getOnePostRequest(match.params.id);
	}

	render() {
		console.log("parent", this.props);
		return (
			<div>
				<PostComponent onePost={this.props.onePost} />
			</div>
		);
	}
}

const mapStateToProps = state => ({
	onePost: state.posts.onePost
});

const mapDispatchToProps = dispatch => bindActionCreators({ getOnePostRequest }, dispatch);

export default connect(
	mapStateToProps,
	mapDispatchToProps
)(Post);
